- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgTerrain::HeightFieldRenderer Class Reference

Inheritance diagram for osgTerrain::HeightFieldRenderer:

[legend]
List of all members.

## Public Member Functions
| HeightFieldRenderer ()
| HeightFieldRenderer (const HeightFieldRenderer &, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
HeightFieldNode * | getHeightFieldNode ()
const HeightFieldNode * | getHeightFieldNode () const
virtual void | initialize ()=0
virtual void | heightFieldHasBeenModified ()=0
virtual void | update (osgUtil::UpdateVisitor *nv)=0
virtual void | cull (osgUtil::CullVisitor *nv)=0
## Protected Member Functions
virtual | ~HeightFieldRenderer ()
## Protected Attributes
HeightFieldNode * | _heightFieldNode
## Friends
class | osgTerrain::HeightFieldNode

## Constructor & Destructor Documentation

HeightFieldRenderer::HeightFieldRenderer | ( |  | ) |

HeightFieldRenderer::HeightFieldRenderer | ( | const HeightFieldRenderer & | ,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) |

| Copy constructor using CopyOp to manage deep vs shallow copy.

HeightFieldRenderer::~HeightFieldRenderer | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osgTerrain::HeightFieldRenderer::cull | ( | osgUtil::CullVisitor * | nv | ) | `[pure virtual]`

const HeightFieldNode* osgTerrain::HeightFieldRenderer::getHeightFieldNode | ( |  | ) | const`[inline]`

HeightFieldNode* osgTerrain::HeightFieldRenderer::getHeightFieldNode | ( |  | ) | `[inline]`

virtual void osgTerrain::HeightFieldRenderer::heightFieldHasBeenModified | ( |  | ) | `[pure virtual]`

virtual void osgTerrain::HeightFieldRenderer::initialize | ( |  | ) | `[pure virtual]`

virtual void osgTerrain::HeightFieldRenderer::update | ( | osgUtil::UpdateVisitor * | nv | ) | `[pure virtual]`

## Friends And Related Function Documentation

friend class osgTerrain::HeightFieldNode`[friend]`

## Member Data Documentation

HeightFieldNode* osgTerrain::HeightFieldRenderer::_heightFieldNode`[protected]`

The documentation for this class was generated from the following files:

- HeightFieldRenderer
- HeightFieldRenderer.cpp